diff -pruN 0.64-1/debian/changelog 0.64-2/debian/changelog
--- 0.64-1/debian/changelog	2020-08-09 03:55:20.000000000 +0000
+++ 0.64-2/debian/changelog	2020-12-07 22:02:29.000000000 +0000
@@ -1,3 +1,14 @@
+corsix-th (0.64-2) unstable; urgency=medium
+
+  * switch to upstream git history
+  * use debhelper-compat 13 for automatic nocheck profile
+  * allow reprotest to fail (gcc_captures_build_path)
+  * fix national-encoding traditional_chinese.lua.
+    Thanks to yangfl
+  * lintian fixes and version bumps
+
+ -- Phil Morrell <debian@emorrp1.name>  Mon, 07 Dec 2020 22:02:29 +0000
+
 corsix-th (0.64-1) unstable; urgency=medium
 
   * New upstream version 0.64
diff -pruN 0.64-1/debian/control 0.64-2/debian/control
--- 0.64-1/debian/control	2020-08-09 03:55:20.000000000 +0000
+++ 0.64-2/debian/control	2020-12-07 22:02:29.000000000 +0000
@@ -7,7 +7,7 @@ Uploaders:
  Phil Morrell <debian@emorrp1.name>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  imagemagick,
  libavcodec-dev (>= 7:2.8),
  libavformat-dev (>= 7:2.8),
@@ -19,7 +19,7 @@ Build-Depends:
  libswscale-dev (>= 7:2.8),
  lua-busted,
  lua5.2,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: http://corsixth.com
 Vcs-Git: https://salsa.debian.org/games-team/corsix-th.git
 Vcs-Browser: https://salsa.debian.org/games-team/corsix-th
diff -pruN 0.64-1/debian/copyright 0.64-2/debian/copyright
--- 0.64-1/debian/copyright	2020-08-09 03:55:20.000000000 +0000
+++ 0.64-2/debian/copyright	2020-12-07 22:02:29.000000000 +0000
@@ -127,6 +127,12 @@ Files: CorsixTH/Campaigns/*
 Copyright: © 2013 Chris "ChrizmanTV" Wilkinson
 License: Expat
 
+Files: CorsixTH/com.corsixth.CorsixTH.appdata.xml
+Copyright: © 2019 Artem Polishchuk <ego.cordatus@gmail.com>
+License: CC0
+ On Debian systems the full text of the CC0-1.0 license can be found in
+ /usr/share/common-licenses/CC0-1.0
+
 Files: CorsixTH/Lua/languages/brazilian_portuguese.lua
 Copyright:
  © 2010 Manuel "Roujin" Wolf
diff -pruN 0.64-1/debian/corsix-th.install 0.64-2/debian/corsix-th.install
--- 0.64-1/debian/corsix-th.install	2020-08-09 03:55:20.000000000 +0000
+++ 0.64-2/debian/corsix-th.install	2020-12-07 22:02:29.000000000 +0000
@@ -1,4 +1,4 @@
 usr/games
-usr/share/metainfo/
-usr/share/icons/hicolor/scalable/apps/
 usr/share/applications/
+usr/share/icons/hicolor/scalable/apps/
+usr/share/metainfo/
diff -pruN 0.64-1/debian/gbp.conf 0.64-2/debian/gbp.conf
--- 0.64-1/debian/gbp.conf	2020-08-09 03:55:20.000000000 +0000
+++ 0.64-2/debian/gbp.conf	2020-12-07 21:41:40.000000000 +0000
@@ -1,7 +1,6 @@
-[buildpackage]
+[DEFAULT]
+debian-branch = debian/master
 pristine-tar = True
 pristine-tar-commit = True
-
-[import-orig]
-pristine-tar = True
-uscan = True
+upstream-branch = master
+upstream-tag = v%(version)s
diff -pruN 0.64-1/debian/patches/fix-chinese-unicode-encoding.patch 0.64-2/debian/patches/fix-chinese-unicode-encoding.patch
--- 0.64-1/debian/patches/fix-chinese-unicode-encoding.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.64-2/debian/patches/fix-chinese-unicode-encoding.patch	2020-12-07 22:02:29.000000000 +0000
@@ -0,0 +1,67 @@
+From: yangfl <yangfl@users.noreply.github.com>
+Date: Mon, 7 Dec 2020 21:31:39 +0000
+Subject: fix chinese unicode encoding
+Bug: https://github.com/CorsixTH/CorsixTH/issues/1760
+
+Thanks yangfl: s/$'\uffff'/圖/
+
+Fix: #1760
+---
+ CorsixTH/Lua/languages/traditional_chinese.lua | 22 +++++++++++-----------
+ 1 file changed, 11 insertions(+), 11 deletions(-)
+
+diff --git a/CorsixTH/Lua/languages/traditional_chinese.lua b/CorsixTH/Lua/languages/traditional_chinese.lua
+index 52cd007..fe2993d 100644
+--- a/CorsixTH/Lua/languages/traditional_chinese.lua
++++ b/CorsixTH/Lua/languages/traditional_chinese.lua
+@@ -1350,7 +1350,7 @@ adviser = {
+     hire_doctor = "您需要一個醫生來診斷和治療病人。",
+     place_receptionist = "移動接待員並將她放到任意位置。她將很聰明地自己走到服務台。",
+     place_windows = "設置窗戶的方法與設置房門的方法相同。您可以不需要窗戶，但是當您的員工可以從窗戶向外張望時，他們將感到快樂。",
+-    confirm_room = "左鍵單擊閃動￿標就可以開業了，也可以通過點擊交叉按鈕返回上一步。",
++    confirm_room = "左鍵單擊閃動圖標就可以開業了，也可以通過點擊交叉按鈕返回上一步。",
+     rotate_and_place_reception = "點擊滑鼠右鍵可以旋轉桌子，並用滑鼠左鍵將其放在醫院中合適位置。",
+     build_reception = "你好。首先，您的醫院需要一個服務台，您可以從佈置走廊選單中選取。",
+     doctor_in_invalid_position = "嘿！您不能將醫生放在那裡。",
+@@ -1361,21 +1361,21 @@ adviser = {
+     choose_doctor = "在選擇醫生之前，應重點考慮其能力。",
+     information_window = "協助視窗將告訴您剛剛建造的一般診斷室信息。",
+     build_gps_office = "您必須建造一般診斷室才可以診斷病人。",
+-    select_doctors = "點擊閃動的￿標挑選可被雇用的醫生。",
+-    select_diagnosis_rooms = "點擊閃動的￿標將彈出診斷類房間列表。",
+-    select_receptionists = "使用滑鼠左鍵單擊閃動的￿標來查看當前可選擇的接待員。￿標下方的數字表示共有多少個接待員可供選擇。",
++    select_doctors = "點擊閃動的圖標挑選可被雇用的醫生。",
++    select_diagnosis_rooms = "點擊閃動的圖標將彈出診斷類房間列表。",
++    select_receptionists = "使用滑鼠左鍵單擊閃動的圖標來查看當前可選擇的接待員。圖標下方的數字表示共有多少個接待員可供選擇。",
+     order_one_reception = "使用滑鼠左鍵單擊閃動的光條，可以訂購一個服務台。",
+-    choose_receptionist = "判斷哪一個接待員擁有好的能力與合適的工資，再按左鍵單擊閃動的￿標來雇用她。",
+-    prev_receptionist = "左鍵單擊閃動的￿標將可以瀏覽到前一個可供選擇的接待員。",
+-    accept_purchase = "點擊閃動的￿標表示購買。",
++    choose_receptionist = "判斷哪一個接待員擁有好的能力與合適的工資，再按左鍵單擊閃動的圖標來雇用她。",
++    prev_receptionist = "左鍵單擊閃動的圖標將可以瀏覽到前一個可供選擇的接待員。",
++    accept_purchase = "點擊閃動的圖標表示購買。",
+     place_door = "沿藍圖牆壁移動滑鼠，尋找放置房門的合適位置。",
+     click_and_drag_to_build = "建造一般診斷室時應先決定具體的尺寸。點擊並按住滑鼠左鍵可以設置房間尺寸。",
+     room_in_invalid_position = "該藍圖是非法的，紅色區域表示藍圖與其它房間或牆壁重疊。",
+     place_objects = "右擊可以旋轉房屋中的各種物品，再左擊表示確認。",
+     room_too_small = "該房間的藍圖為紅色是因為其尺寸太小了。通過拖動使其尺寸增大。",
+-    click_gps_office = "點擊閃動￿標表示選擇一般診斷室。",
++    click_gps_office = "點擊閃動圖標表示選擇一般診斷室。",
+     reception_invalid_position = "如果服務台是灰色的，則表示當前位置是非法的。應嘗試移動或旋轉它。",
+-    next_receptionist = "這是接待員列表中的第一個。左鍵單擊閃動的￿標可以瀏覽下一個可供選用的接待員。",
++    next_receptionist = "這是接待員列表中的第一個。左鍵單擊閃動的圖標可以瀏覽下一個可供選用的接待員。",
+     room_big_enough = "藍圖尺寸已經足夠大了。當您鬆開滑鼠按鍵表示確認。如果需要的話，以後還可以根據需要移動或改變其尺寸。",
+     object_in_invalid_position = "該物品當前位置非法。請要麼將其放到其它位置，要麼對其進行旋轉。",
+     door_in_invalid_position = "房門設置位置非法。請嘗試藍圖牆壁上的其它位置。",
+@@ -1625,9 +1625,9 @@ adviser = {
+     vip_arrived = "小心！%s正準備訪問您的醫院！保持醫院運轉正常，這樣才能使他感到愉快。",
+     epidemic_health_inspector = "您的醫院中出現傳染病的消息已經到達了衛生署。衛生巡查員很快就要到達，快做準備。",
+     first_death = "這是您第一次殺死病人。感覺如何？",
+-    pay_rise = "您的一個員工威脅要辭職。選擇是否同意其請求，或將其解雇。點擊屏幕左下方的￿標可以查看威脅要辭職的員工信息。",
++    pay_rise = "您的一個員工威脅要辭職。選擇是否同意其請求，或將其解雇。點擊屏幕左下方的圖標可以查看威脅要辭職的員工信息。",
+     place_windows = "設置窗戶將使房間更加明亮，並振奮員工的精神。",
+-    fax_received = "在屏幕左下角剛剛彈出的￿標表示一些重要事件的相關信息，或某些需要您決定的事情。",
++    fax_received = "在屏幕左下角剛剛彈出的圖標表示一些重要事件的相關信息，或某些需要您決定的事情。",
+   },
+   build_advice = {
+     placing_object_blocks_door = "設置該物品可以阻止其他人接近。",
diff -pruN 0.64-1/debian/patches/series 0.64-2/debian/patches/series
--- 0.64-1/debian/patches/series	2020-08-09 03:55:20.000000000 +0000
+++ 0.64-2/debian/patches/series	2020-12-07 22:02:29.000000000 +0000
@@ -1,2 +1,3 @@
 default_config.patch
 build-Remove-FindSDL2-find-module-use-sdl2-config.cmake-i.patch
+fix-chinese-unicode-encoding.patch
diff -pruN 0.64-1/debian/rules 0.64-2/debian/rules
--- 0.64-1/debian/rules	2020-08-09 03:55:20.000000000 +0000
+++ 0.64-2/debian/rules	2020-12-07 22:02:29.000000000 +0000
@@ -20,7 +20,5 @@ override_dh_auto_install:
 		debian/corsix-th/usr/share/icons/hicolor/%[filename:size]/apps/corsix-th.png
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
 	busted -C CorsixTH/Luatest --verbose
-endif
diff -pruN 0.64-1/debian/salsa-ci.yml 0.64-2/debian/salsa-ci.yml
--- 0.64-1/debian/salsa-ci.yml	1970-01-01 00:00:00.000000000 +0000
+++ 0.64-2/debian/salsa-ci.yml	2020-12-07 21:41:40.000000000 +0000
@@ -0,0 +1,6 @@
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
+
+reprotest:
+  allow_failure: true
diff -pruN 0.64-1/debian/source/lintian-overrides 0.64-2/debian/source/lintian-overrides
--- 0.64-1/debian/source/lintian-overrides	2020-08-09 03:55:20.000000000 +0000
+++ 0.64-2/debian/source/lintian-overrides	2020-12-07 22:02:29.000000000 +0000
@@ -2,3 +2,5 @@
 source-contains-autogenerated-visual-c++-file AnimView/AnimView.rc
 source-contains-autogenerated-visual-c++-file CorsixTH/CorsixTH.rc
 source-contains-autogenerated-visual-c++-file CorsixTH/resource.h
+# debhelper-compat 13 #950455
+override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS
